package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(student_competition):
 */
public class StudentCompetition {

	private Long id;

	@ApiModelProperty(value = "用户编号")
	private Integer userId;

	@ApiModelProperty(value = "姓名")
	private String username;

	@ApiModelProperty(value = "身份证号")
	private String idCardNo;

	@ApiModelProperty(value = "年龄")
	private Integer age;

	@ApiModelProperty(value = "性别")
	private Boolean gender;

	@ApiModelProperty(value = "年级")
	private String grade;

	@ApiModelProperty(value = "专业")
	private String subject;

	@ApiModelProperty(value = "曲目")
	private String chapter;

	@ApiModelProperty(value = "头像")
	private String pictureUrl;

	@ApiModelProperty(value = "作品")
	private String videoUrl;

	@ApiModelProperty(value = "分数")
	private java.math.BigDecimal score;

	@ApiModelProperty(value = "获奖等级")
	private Integer prizeLevel;

	@ApiModelProperty(value = "是否展示")
	private Boolean isShow;

	@ApiModelProperty(value = "评价")
	private String comment;

	private java.util.Date createTime;

	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setUsername(String username){
		this.username = username;
	}
	
	public String getUsername(){
		return this.username;
	}
			
	public void setIdCardNo(String idCardNo){
		this.idCardNo = idCardNo;
	}
	
	public String getIdCardNo(){
		return this.idCardNo;
	}
			
	public void setAge(Integer age){
		this.age = age;
	}
	
	public Integer getAge(){
		return this.age;
	}

	public Boolean getGender() {
		return gender;
	}

	public void setGender(Boolean gender) {
		this.gender = gender;
	}

	public void setGrade(String grade){
		this.grade = grade;
	}
	
	public String getGrade(){
		return this.grade;
	}
			
	public void setSubject(String subject){
		this.subject = subject;
	}
	
	public String getSubject(){
		return this.subject;
	}
			
	public void setChapter(String chapter){
		this.chapter = chapter;
	}
	
	public String getChapter(){
		return this.chapter;
	}
			
	public void setPictureUrl(String pictureUrl){
		this.pictureUrl = pictureUrl;
	}
	
	public String getPictureUrl(){
		return this.pictureUrl;
	}

	public String getVideoUrl() {
		return videoUrl;
	}

	public void setVideoUrl(String videoUrl) {
		this.videoUrl = videoUrl;
	}

	public boolean isShow() {
		return isShow;
	}

	public void setShow(boolean show) {
		isShow = show;
	}

	public void setScore(java.math.BigDecimal score){
		this.score = score;
	}
	
	public java.math.BigDecimal getScore(){
		return this.score;
	}

	public Integer getPrizeLevel() {
		return prizeLevel;
	}

	public void setPrizeLevel(Integer prizeLevel) {
		this.prizeLevel = prizeLevel;
	}

	public Boolean getIsShow() {
		return isShow;
	}

	public void setIsShow(Boolean show) {
		isShow = show;
	}

	public void setComment(String comment){
		this.comment = comment;
	}
	
	public String getComment(){
		return this.comment;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
